MARTe2-core - User story #202

Implementation and cleanup of Memory
24.08.2015 15:20 - Riccardo Vitelli

Status: Closed Start date: 24.08.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.4 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Source code files modified

e Source/Core/L0Portability/OperatingSystem/Generic/MemoryOperationsHelper_CLIB_Generic.cpp
Source/Core/L0Portability/OperatingSystem/Generic/StandardHeap_Generic.cpp
Source/Core/LOPortability/OperatingSystem/Generic/StandardHeap_Generic.h
Source/Core/L0Portability/OperatingSystem/Linux/MemoryCheckOS.cpp
Source/Core/LOPortability/Heapl.h

Source/Core/LOPortability/MemoryOperationsHelper.h

Source/Core/LOPortability/MemoryCheck.h

Source/Core/L0Portability/HeapManager.cpp

Source/Core/L0Portability/HeapManager.h

Architecture & design review

As per the original MARTe implementation, this is a support function and does not require formal design in UML.

Code and documentation review
Date of the review: 31/08/2015

Person who did the review: lvan Herrero

Result of review: PASS

List of non-conformities: N/A

Unit test review

Date of the review: 02/09/2015

Person who did the review: lvan Herrero
Result of coverage tests review: PASS
Result of functional tests review: PASS
Result of review: PASS

List of non-conformities: N/A

Associated revisions

Revision 33552841 - 02.09.2015 17:39 - lvan Herrero

#202 - Apply documentation and formatting rules to unit tests.

11.04.2025 1/3




History

#1 - 24.08.2015 15:25 - Riccardo Vitelli

Source code files modified

Architecture & design review

Date of the review: --/--/2015

Person who did the review: -----

Version of architecture & design document:
Result of review: N/A

List of non-conformities: N/A

Code and documentation review

Date of the review: --/--/2015
Person who did the review:
Result of review:

List of non-conformities: N/A.

Unit test review

Date of the review: --/--/2015

Person who did the review: -----

Result of coverage tests review: [PASS/FAIL]
Result of functional tests review: [PASS/FAIL]
Result of review: [PASS/FAIL]

List of non-conformities:

#2 - 24.08.2015 15:25 - Riccardo Vitelli

- Status changed from New to Code: Impl

#3 - 25.08.2015 11:54 - Giuseppe Ferro

- Assignee set to Giuseppe Ferro

#4 - 25.08.2015 17:34 - Giuseppe Ferro
- Status changed from Code: Impl to Code: Rev

#5 - 25.08.2015 17:39 - Giuseppe Ferro

Source code files modified

Source/Core/LOPortability/OperatingSystem/Generic/MemoryOperationsHelper_CLIB_Generic.cpp
Source/Core/LOPortability/OperatingSystem/Generic/StandardHeap_Generic.cpp
Source/Core/LOPortability/OperatingSystem/Generic/StandardHeap_Generic.h
Source/Core/LOPortability/OperatingSystem/Linux/MemoryCheckOS.cpp
Source/Core/LOPortability/Heapl.h

Source/Core/LOPortability/MemoryOperationsHelper.h

Source/Core/LOPortability/MemoryCheck.h

Source/Core/L0OPortability/HeapManager.cpp

Source/Core/LOPortability/HeapManager.h

Architecture & design review
Date of the review: --/--/2015

Person who did the review: -----
Version of architecture & design document:
Result of review: N/A

List of non-conformities: N/A
Code and documentation review

Date of the review: --/--/2015
Person who did the review:
Result of review:

List of non-conformities: N/A.
Unit test review

Date of the review: --/--/2015

Person who did the review: -----

Result of coverage tests review: [PASS/FAIL]

Result of functional tests review: [PASS/FAIL]

Result of review: [PASS/FAIL]

List of non-conformities:

#6 - 25.08.2015 17:40 - Giuseppe Ferro
- Assignee deleted (Giuseppe Ferro)

#7 - 27.08.2015 10:12 - Riccardo Vitelli

- Assignee set to Ivan Herrero

#8 - 27.08.2015 11:23 - lvan Herrero

- Description updated

#9 - 01.09.2015 11:33 - lvan Herrero

- Description updated

#10 - 01.09.2015 11:33 - Ivan Herrero

- Status changed from Code: Rev to Unit: Rev

#11 - 02.09.2015 17:41 - lvan Herrero

- Description updated

#12 - 03.09.2015 11:21 - André Neto
- Status changed from Unit: Rev to Closed

- Assignee deleted (lvan Herrero)
